html,
body {
    overflow-x: hidden; /* Prevent scroll on narrow devices */
}

/*html{*/
/*    min-width:1000px; // Suppose you want minimum width of 1000px;*/
/*    _width: expression( document.body.clientWidth > 1000 ? "1000p;*/
/*}*/

body {
    padding-top: 56px;
    background-color: #f0f2f9;
}

@media (max-width: 991.98px) {
    .offcanvas-collapse {
        position: fixed;
        top: 56px; /* Height of navbar */
        bottom: 0;
        left: 100%;
        width: 100%;
        padding-right: 1rem;
        padding-left: 1rem;
        overflow-y: auto;
        visibility: hidden;
        background-color: #343a40;
        transition: transform .3s ease-in-out, visibility .3s ease-in-out;
    }

    .offcanvas-collapse.open {
        visibility: visible;
        transform: translateX(-100%);
    }
}

.nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
}

.nav-scroller .nav {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    color: rgba(255, 255, 255, .75);
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
}

.nav-underline .nav-link {
    padding-top: .75rem;
    padding-bottom: .75rem;
    font-size: .875rem;
    color: #6c757d;
}

.nav-underline .nav-link:hover {
    color: #007bff;
}

.nav-underline .active {
    font-weight: 500;
    color: #343a40;
}

.bg-purple {
    background-color: #6f42c1;
}

.like::before {
    content: "\2764";
}

.like:hover:before{
    content: "\1F90D";
}

.unlike::before {
    content: "\1F90D";
}

.unlike:hover:before{
    content: "\2764";
}

.favorite::before {
    content: "\2605";
}

.favorite:hover:before{
    content: "\2606";
}

.remove-favorite::before {
    content: "\2606";
}

.remove-favorite:hover:before{
    content: "\2605";
}


